Bug 808136 - Print more informative error message when site uses old SSL/TLS version
Print more informative error message when site uses old SSL/TLS version
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firefox (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: 6.3
Assigned To: Martin Stransky
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 12:53 EDT by David Jaša
Modified: 2013-03-20 16:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2012:1088
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 08:37:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 762301 None None None 2012-06-06 19:32:25 EDT

  None (edit)
Description David Jaša 2012-03-29 12:53:44 EDT
Description of problem:
Print more informative error message when site uses old SSL/TLS version

Version-Release number of selected component (if applicable):
firefox-10.0.3-1.el6_2.x86_64

How reproducible:
always

Steps to Reproduce:
1. in Preferences -> Advanced, disable SSL 3.0
2. connect to https site using SSL <= 3.0
3.
  
Actual results:
error page says only that the connection has been reset

Expected results:
error page should state that web site only supports SSL (TLS) version <= %s while browser settings require SSL (TLS) version >= %s.

Additional info:
Comment 1 Martin Stransky 2012-06-06 06:30:58 EDT
We have to solve this bug upstream, and I believe it's more for nss/psm folks. David, do you have any reproducer?
Comment 3 Martin Stransky 2012-06-06 07:14:39 EDT
Kai, what do you think about this bug?
Comment 5 Kai Engert (:kaie) 2012-06-06 18:21:59 EDT
My initial reaction is that better user feedback is a "feature". The stable ESR branch of Firefox is not meant to get new features. In particular, introducing new wording is also not an option for the stable branch.
Comment 6 Kai Engert (:kaie) 2012-06-06 18:56:51 EDT
Because of the stable branch limitations, anything requiring new strings would have to wait until Firefox 17 (most likely the next major ESR release).

However, we used to have an error message "no common encryption algorithm(s)". We need to investigate why it's not shown in this scenario.

After a quick test, I see that Firefox attempts to connect to the site multiple times, always fails, and eventually gives up. This indicates a misinterpretation of an NSS error code at the Mozilla applicaiton level.
Comment 7 Kai Engert (:kaie) 2012-06-06 19:32:25 EDT
I filed upstream https://bugzilla.mozilla.org/show_bug.cgi?id=762301
Comment 8 Kai Engert (:kaie) 2012-06-06 19:35:41 EDT
I attached a potential patch to the upstream bug which applies to the Mozilla-ESR10 branch used by current RHEL.
https://bugzilla.mozilla.org/show_bug.cgi?id=762301#c1

With the patch applied, the error message shown is:

An error occurred during a connection to .....
Cannot communicate securely with peer: no common encryption algorithm(s).
(Error code: ssl_error_no_cypher_overlap)
Comment 9 Kai Engert (:kaie) 2012-06-13 07:43:26 EDT
Do you want to pick up this patch in Red Hat's packaged ESR?


The trunk version of the patch was added upstream to the main development branch.

I believe this isn't a regression, and therefore it doesn't qualify for upstream's rules for the ESR branch.
Comment 10 RHEL Product and Program Management 2012-06-25 07:42:54 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 13 Martin Stransky 2012-08-03 08:37:03 EDT
Fixed in RHSA-2012:1088

Note You need to log in before you can comment on or make changes to this bug.